<?php
/* Autor...:  */
/* Esquema.: ALM_InventarioFisicoDetalle.xml */
/* Generado: 2020-08-18 04:21:23 */

/* Metodos de acceso a los campos de la tabla ALM_InventarioFisicoDetalle */
abstract class BaseALM_InventarioFisicoDetalleBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_IdNumeroInventario;    // IdNumeroInventario: ( no definido )
    private $i_IdSecuencia;    // IdSecuencia: ( no definido )
    private $s_IdAlmacen;    // IdAlmacen: ( no definido )
    private $s_IdItem;    // IdItem: ( no definido )
    private $s_IdUnidad;    // IdUnidad: ( no definido )
    private $s_IdCondicion;    // IdCondicion: ( no definido )
    private $s_IdLote;    // IdLote: ( no definido )
    private $f_StockActual;    // StockActual: ( no definido )
    private $f_StockFisico;    // StockFisico: ( no definido )
    private $f_StockDiferencia;    // StockDiferencia: ( no definido )
    private $f_PrecioUnitario;    // PrecioUnitario: ( no definido )
    private $f_MontoTotal;    // MontoTotal: ( no definido )
    private $s_UbicacionFisica;    // UbicacionFisica: ( no definido )
    private $s_TipoOperacion;    // TipoOperacion: ( no definido )
    private $s_IdTipoDocumentoRef;    // IdTipoDocumentoRef: ( no definido )
    private $s_IdNumeroDocumentoRef;    // IdNumeroDocumentoRef: ( no definido )
    private $i_IdSecuenciaRef;    // IdSecuenciaRef: ( no definido )
    private $f_MuestraKilos;    // MuestraKilos: ( no definido )
    private $f_MuestraUnidades;    // MuestraUnidades: ( no definido )
    private $f_MuestraTotalesUnidades;    // MuestraTotalesUnidades: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdNumeroInventario */
    public function setIdNumeroInventario( $s_IdNumeroInventario )
    {
        $this->s_IdNumeroInventario = $s_IdNumeroInventario;
    }

    /* Obtiene el valor del campo IdNumeroInventario */
    public function getIdNumeroInventario()
    {
        return $this->s_IdNumeroInventario;
    }

    /* Establece el valor del campo IdSecuencia */
    public function setIdSecuencia( $i_IdSecuencia )
    {
        $this->i_IdSecuencia = $i_IdSecuencia;
    }

    /* Obtiene el valor del campo IdSecuencia */
    public function getIdSecuencia()
    {
        return $this->i_IdSecuencia;
    }

    /* Establece el valor del campo IdAlmacen */
    public function setIdAlmacen( $s_IdAlmacen )
    {
        $this->s_IdAlmacen = $s_IdAlmacen;
    }

    /* Obtiene el valor del campo IdAlmacen */
    public function getIdAlmacen()
    {
        return $this->s_IdAlmacen;
    }

    /* Establece el valor del campo IdItem */
    public function setIdItem( $s_IdItem )
    {
        $this->s_IdItem = $s_IdItem;
    }

    /* Obtiene el valor del campo IdItem */
    public function getIdItem()
    {
        return $this->s_IdItem;
    }

    /* Establece el valor del campo IdUnidad */
    public function setIdUnidad( $s_IdUnidad )
    {
        $this->s_IdUnidad = $s_IdUnidad;
    }

    /* Obtiene el valor del campo IdUnidad */
    public function getIdUnidad()
    {
        return $this->s_IdUnidad;
    }

    /* Establece el valor del campo IdCondicion */
    public function setIdCondicion( $s_IdCondicion )
    {
        $this->s_IdCondicion = $s_IdCondicion;
    }

    /* Obtiene el valor del campo IdCondicion */
    public function getIdCondicion()
    {
        return $this->s_IdCondicion;
    }

    /* Establece el valor del campo IdLote */
    public function setIdLote( $s_IdLote )
    {
        $this->s_IdLote = $s_IdLote;
    }

    /* Obtiene el valor del campo IdLote */
    public function getIdLote()
    {
        return $this->s_IdLote;
    }

    /* Establece el valor del campo StockActual */
    public function setStockActual( $f_StockActual )
    {
        $this->f_StockActual = $f_StockActual;
    }

    /* Obtiene el valor del campo StockActual */
    public function getStockActual()
    {
        return $this->f_StockActual;
    }

    /* Establece el valor del campo StockFisico */
    public function setStockFisico( $f_StockFisico )
    {
        $this->f_StockFisico = $f_StockFisico;
    }

    /* Obtiene el valor del campo StockFisico */
    public function getStockFisico()
    {
        return $this->f_StockFisico;
    }

    /* Establece el valor del campo StockDiferencia */
    public function setStockDiferencia( $f_StockDiferencia )
    {
        $this->f_StockDiferencia = $f_StockDiferencia;
    }

    /* Obtiene el valor del campo StockDiferencia */
    public function getStockDiferencia()
    {
        return $this->f_StockDiferencia;
    }

    /* Establece el valor del campo PrecioUnitario */
    public function setPrecioUnitario( $f_PrecioUnitario )
    {
        $this->f_PrecioUnitario = $f_PrecioUnitario;
    }

    /* Obtiene el valor del campo PrecioUnitario */
    public function getPrecioUnitario()
    {
        return $this->f_PrecioUnitario;
    }

    /* Establece el valor del campo MontoTotal */
    public function setMontoTotal( $f_MontoTotal )
    {
        $this->f_MontoTotal = $f_MontoTotal;
    }

    /* Obtiene el valor del campo MontoTotal */
    public function getMontoTotal()
    {
        return $this->f_MontoTotal;
    }

    /* Establece el valor del campo UbicacionFisica */
    public function setUbicacionFisica( $s_UbicacionFisica )
    {
        $this->s_UbicacionFisica = $s_UbicacionFisica;
    }

    /* Obtiene el valor del campo UbicacionFisica */
    public function getUbicacionFisica()
    {
        return $this->s_UbicacionFisica;
    }

    /* Establece el valor del campo TipoOperacion */
    public function setTipoOperacion( $s_TipoOperacion )
    {
        $this->s_TipoOperacion = $s_TipoOperacion;
    }

    /* Obtiene el valor del campo TipoOperacion */
    public function getTipoOperacion()
    {
        return $this->s_TipoOperacion;
    }

    /* Establece el valor del campo IdTipoDocumentoRef */
    public function setIdTipoDocumentoRef( $s_IdTipoDocumentoRef )
    {
        $this->s_IdTipoDocumentoRef = $s_IdTipoDocumentoRef;
    }

    /* Obtiene el valor del campo IdTipoDocumentoRef */
    public function getIdTipoDocumentoRef()
    {
        return $this->s_IdTipoDocumentoRef;
    }

    /* Establece el valor del campo IdNumeroDocumentoRef */
    public function setIdNumeroDocumentoRef( $s_IdNumeroDocumentoRef )
    {
        $this->s_IdNumeroDocumentoRef = $s_IdNumeroDocumentoRef;
    }

    /* Obtiene el valor del campo IdNumeroDocumentoRef */
    public function getIdNumeroDocumentoRef()
    {
        return $this->s_IdNumeroDocumentoRef;
    }

    /* Establece el valor del campo IdSecuenciaRef */
    public function setIdSecuenciaRef( $i_IdSecuenciaRef )
    {
        $this->i_IdSecuenciaRef = $i_IdSecuenciaRef;
    }

    /* Obtiene el valor del campo IdSecuenciaRef */
    public function getIdSecuenciaRef()
    {
        return $this->i_IdSecuenciaRef;
    }

    /* Establece el valor del campo MuestraKilos */
    public function setMuestraKilos( $f_MuestraKilos )
    {
        $this->f_MuestraKilos = $f_MuestraKilos;
    }

    /* Obtiene el valor del campo MuestraKilos */
    public function getMuestraKilos()
    {
        return $this->f_MuestraKilos;
    }

    /* Establece el valor del campo MuestraUnidades */
    public function setMuestraUnidades( $f_MuestraUnidades )
    {
        $this->f_MuestraUnidades = $f_MuestraUnidades;
    }

    /* Obtiene el valor del campo MuestraUnidades */
    public function getMuestraUnidades()
    {
        return $this->f_MuestraUnidades;
    }

    /* Establece el valor del campo MuestraTotalesUnidades */
    public function setMuestraTotalesUnidades( $f_MuestraTotalesUnidades )
    {
        $this->f_MuestraTotalesUnidades = $f_MuestraTotalesUnidades;
    }

    /* Obtiene el valor del campo MuestraTotalesUnidades */
    public function getMuestraTotalesUnidades()
    {
        return $this->f_MuestraTotalesUnidades;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdNumeroInventario' => $this->getIdNumeroInventario(),
            'IdSecuencia' => $this->getIdSecuencia(),
            'IdAlmacen' => $this->getIdAlmacen(),
            'IdItem' => $this->getIdItem(),
            'IdUnidad' => $this->getIdUnidad(),
            'IdCondicion' => $this->getIdCondicion(),
            'IdLote' => $this->getIdLote(),
            'StockActual' => $this->getStockActual(),
            'StockFisico' => $this->getStockFisico(),
            'StockDiferencia' => $this->getStockDiferencia(),
            'PrecioUnitario' => $this->getPrecioUnitario(),
            'MontoTotal' => $this->getMontoTotal(),
            'UbicacionFisica' => $this->getUbicacionFisica(),
            'TipoOperacion' => $this->getTipoOperacion(),
            'IdTipoDocumentoRef' => $this->getIdTipoDocumentoRef(),
            'IdNumeroDocumentoRef' => $this->getIdNumeroDocumentoRef(),
            'IdSecuenciaRef' => $this->getIdSecuenciaRef(),
            'MuestraKilos' => $this->getMuestraKilos(),
            'MuestraUnidades' => $this->getMuestraUnidades(),
            'MuestraTotalesUnidades' => $this->getMuestraTotalesUnidades(),
            'Estado' => $this->getEstado(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto ALM_InventarioFisicoDetalleBN desde un RecordSet */
    public static function retrieveByRs( $o_ALM_InventarioFisicoDetalleRs )
    {
        $o_ALM_InventarioFisicoDetalleBN = new ALM_InventarioFisicoDetalleBN();
        $o_ALM_InventarioFisicoDetalleBN->setIdCompania( ( integer ) $o_ALM_InventarioFisicoDetalleRs[ "IdCompania" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdNumeroInventario( $o_ALM_InventarioFisicoDetalleRs[ "IdNumeroInventario" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdSecuencia( ( integer ) $o_ALM_InventarioFisicoDetalleRs[ "IdSecuencia" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdAlmacen( $o_ALM_InventarioFisicoDetalleRs[ "IdAlmacen" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdItem( $o_ALM_InventarioFisicoDetalleRs[ "IdItem" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdUnidad( $o_ALM_InventarioFisicoDetalleRs[ "IdUnidad" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdCondicion( $o_ALM_InventarioFisicoDetalleRs[ "IdCondicion" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdLote( $o_ALM_InventarioFisicoDetalleRs[ "IdLote" ] );
        $o_ALM_InventarioFisicoDetalleBN->setStockActual( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "StockActual" ] );
        $o_ALM_InventarioFisicoDetalleBN->setStockFisico( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "StockFisico" ] );
        $o_ALM_InventarioFisicoDetalleBN->setStockDiferencia( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "StockDiferencia" ] );
        $o_ALM_InventarioFisicoDetalleBN->setPrecioUnitario( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "PrecioUnitario" ] );
        $o_ALM_InventarioFisicoDetalleBN->setMontoTotal( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "MontoTotal" ] );
        $o_ALM_InventarioFisicoDetalleBN->setUbicacionFisica( $o_ALM_InventarioFisicoDetalleRs[ "UbicacionFisica" ] );
        $o_ALM_InventarioFisicoDetalleBN->setTipoOperacion( $o_ALM_InventarioFisicoDetalleRs[ "TipoOperacion" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdTipoDocumentoRef( $o_ALM_InventarioFisicoDetalleRs[ "IdTipoDocumentoRef" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdNumeroDocumentoRef( $o_ALM_InventarioFisicoDetalleRs[ "IdNumeroDocumentoRef" ] );
        $o_ALM_InventarioFisicoDetalleBN->setIdSecuenciaRef( ( integer ) $o_ALM_InventarioFisicoDetalleRs[ "IdSecuenciaRef" ] );
        $o_ALM_InventarioFisicoDetalleBN->setMuestraKilos( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "MuestraKilos" ] );
        $o_ALM_InventarioFisicoDetalleBN->setMuestraUnidades( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "MuestraUnidades" ] );
        $o_ALM_InventarioFisicoDetalleBN->setMuestraTotalesUnidades( ( float ) $o_ALM_InventarioFisicoDetalleRs[ "MuestraTotalesUnidades" ] );
        $o_ALM_InventarioFisicoDetalleBN->setEstado( $o_ALM_InventarioFisicoDetalleRs[ "Estado" ] );
        $o_ALM_InventarioFisicoDetalleBN->setUsuarioCreacion( $o_ALM_InventarioFisicoDetalleRs[ "UsuarioCreacion" ] );
        $o_ALM_InventarioFisicoDetalleBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_ALM_InventarioFisicoDetalleRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_ALM_InventarioFisicoDetalleBN->setUsuarioModificacion( $o_ALM_InventarioFisicoDetalleRs[ "UsuarioModificacion" ] );
        $o_ALM_InventarioFisicoDetalleBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_ALM_InventarioFisicoDetalleRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_ALM_InventarioFisicoDetalleBN;
    }
}
?>